package command;

import git.IssueRepo;

import java.io.IOException;

public class CommandDelete implements Command {

    private String hash;

    public CommandDelete(String id){
        this.hash = id;
    }

    @Override
    public void execute() {
        IssueRepo repo = new IssueRepo();
        try {
            repo.deleteIssue(hash);
        } catch (IOException e) {
            e.printStackTrace();
        }
        System.out.println("Issue deleted");

    }
}
